DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·PAGES·GET·GENERATED

Get a page

GET
/pages/{id}
SCOPE:pages:read

Get a page

Authentication

Requires API key with pages:read scope.

Path parameters

NameTypeDescription
idUUIDPath parameter.

Request

(no body)

Response — 200 OK

{
  "id": "00000000-0000-0000-0000-000000000000",
  "alias_id": "example",
  "name": "example",
  "icon": "example",
  "project_id": "00000000-0000-0000-0000-000000000000",
  "parent_page_id": "00000000-0000-0000-0000-000000000000",
  "is_public": true,
  "updated_at": "2026-01-01T00:00:00.000Z",
  "description": "example",
  "content_text": "example",
  "cover_image_url": "example",
  "created_at": "2026-01-01T00:00:00.000Z"
}

Errors

StatusCodeWhen
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
404not_foundResource not found.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/pages/00000000-0000-0000-0000-000000000000 \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'
const response = await fetch('/pages/00000000-0000-0000-0000-000000000000', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
  },
})
const data = await response.json()
{
  "server": "onnie",
  "name": "getPage",
  "description": "GET /pages/{id}"
}